Subject: [bug#73765] Request for merging "meson-enable-parallel-tests" branch

From: John Kehayias <[email-masked]>
Date: Thu, 28 Nov 2024 05:43:05 +0000

Hello,

On Wed, Nov 27, 2024 at 11:52 AM, GNU bug Tracking System wrote:

> Your bug report
>
> #73765: Request for merging "meson-enable-parallel-tests" branch
>
> which was filed against the guix-patches package, has been closed.
>
> The explanation is attached below, along with your original report.
> If you require more details, please reply to [email-masked].
>
> --
> 73765: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73765
> GNU Bug Tracking System
> Contact [email-masked] with problems
>
> From: Andreas Enge <[email-masked]>
> Subject: Re: bug#73765: Request for merging "meson-enable-parallel-tests"
>  branch
> To: Ludovic Courtès <[email-masked]>
> Cc: [email-masked], Maxim Cournoyer <[email-masked]>
> Date: Wed, 27 Nov 2024 12:51:30 +0100 (17 hours, 46 minutes, 36 seconds ago)
>
> Hello!
>
> I have gone back to the original merge request and noticed, following
> Maxim's remark, that indeed no build failures occurred. Updating the meson
> version resulted in build failures, but which looked more like random test
> failures in somewhat brittle packages that fail on and off.
>
> So I have taken the liberty and rebased on master and pushed.
>
> I had forgotten that the branch was not yet built on i686, sorry.
>
> Apart from that, I think it is good to clear the space for the following
> branches waiting in line.
>
> Andreas
>

I just noticed the big build queue on Cuirass, is that all for the
non-x86_64 architectures? (The change to mesa, if it was on the branch
before, is ~4k packages alone). Should we have waited for that to
get up to reasonable coverage before pushing to master?

PS: Andreas I saw some messages earlier in this thread that again didn't
go to others. Annoyingly, the debbugs bug number address doesn't go to
anyone (that I know of) and I've frequently missed or miss-sent messages
because of that. Just thought I'd let you know in case you missed that.

Thanks for everyone's work on this!
John

>
> ----------
>
> From: Maxim Cournoyer <[email-masked]>
> Subject: Request for merging "meson-enable-parallel-tests" branch
> To: guix-patches <[email-masked]>
> Date: Sat, 12 Oct 2024 14:36:12 +0900
> Date: Sat, 12 Oct 2024 14:36:12 +0900 (6 weeks, 5 days, 1 minute ago)
>
> Hi,
>
> This was fully built for x86_64 as some insurance that it didn't
> introduce any problem:
> https://ci.guix.gnu.org/jobset/meson-parallel-tests
>
> It's ready to me merged.